Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::JoystickDevice Class Reference

ジョイスティックデバイス More...

`#include <JoystickDevice.h>`

Inheritance diagram for Lamp::JoystickDevice:

List of all members.

## Public Member Functions
virtual const JoystickState & | getJoystickState () const
| ジョイスティックステートの取得
virtual String | toString () const
| 文字列への変換
virtual bool | hasXAxis () const
| X軸を持つか.
virtual bool | hasYAxis () const
| Y軸を持つか.
virtual bool | hasZAxis () const
| Z軸を持つか.
virtual bool | hasXRotation () const
| X回転を持つか.
virtual bool | hasYRotation () const
| Y回転を持つか.
virtual bool | hasZRotation () const
| Z回転を持つか.
virtual int | getPOVCount () const
| 視点コントローラ数の取得
virtual int | getSliderCount () const
| スライダ数の取得
## Static Public Member Functions
int __stdcall | joystickObjectEnumeration (const DIDEVICEOBJECTINSTANCE *instance, void *userData)
| ジョイスティックオブジェクトの列挙コールバック
## Static Public Attributes
const int | maxPOVCount = JoystickState::maxPOVCount
| 最大視点コントローラ数
const int | maxSliderCount = JoystickState::maxSliderCount
| 最大スライダ数
const int | maxButtonCount = JoystickState::maxButtonCount
| 最大ボタン数
const int | maxAxisValue = JoystickState::maxAxisValue
| 軸データ最大値
const int | minAxisValue = JoystickState::minAxisValue
| 軸データ最小値
const int | maxPOVValue = JoystickState::maxPOVValue
| 視点コントローラ最大値
## Protected Member Functions
| JoystickDevice ()
| コンストラクタ
virtual | ~JoystickDevice ()
| デストラクタ
virtual bool | initialize (DirectInputDevice *inputDevice, HWND windowHandle)
| 初期化
virtual bool | checkJoystickObject (const DIDEVICEOBJECTINSTANCE *instance)
| ジョイスティックオブジェクトのチェック
virtual bool | polling ()
| ポーリング
## Friends
class | LampInput
class | BufferedInput

## Detailed Description

ジョイスティックデバイス

Definition at line 37 of file JoystickDevice.h.

## Member Function Documentation

bool Lamp::JoystickDevice::checkJoystickObject | ( | const DIDEVICEOBJECTINSTANCE * | instance | ) | `[protected, virtual]`

  | ジョイスティックオブジェクトのチェック Parameters:
  instance | ジョイスティックオブジェクト
Returns: 成功すればtrue Definition at line 71 of file JoystickDevice.cpp. References DirectXFailed, ErrorOut, Lamp::InputDevice::inputDevice_, maxAxisValue, and minAxisValue. Referenced by joystickObjectEnumeration().

virtual const JoystickState& Lamp::JoystickDevice::getJoystickState | ( |  | ) | const`[inline, virtual]`

| ジョイスティックステートの取得 Returns: ジョイスティックステート Definition at line 67 of file JoystickDevice.h.

virtual int Lamp::JoystickDevice::getPOVCount | ( |  | ) | const`[inline, virtual]`

| 視点コントローラ数の取得 Returns: 視点コントローラ数 Reimplemented from Lamp::InputDevice. Definition at line 120 of file JoystickDevice.h. Referenced by Lamp::Joystick::getPOVCount(), and toString().

virtual int Lamp::JoystickDevice::getSliderCount | ( |  | ) | const`[inline, virtual]`

| スライダ数の取得 Returns: スライダ数 Definition at line 126 of file JoystickDevice.h. Referenced by Lamp::Joystick::getAxisCountWithoutSlider(), Lamp::Joystick::getSliderCount(), and toString().

virtual bool Lamp::JoystickDevice::hasXAxis | ( |  | ) | const`[inline, virtual]`

| X軸を持つか. Returns: X軸を持てばtrue Definition at line 82 of file JoystickDevice.h. Referenced by Lamp::Joystick::hasXAxis(), and toString().

virtual bool Lamp::JoystickDevice::hasXRotation | ( |  | ) | const`[inline, virtual]`

| X回転を持つか. Returns: X回転を持てばtrue Definition at line 101 of file JoystickDevice.h. Referenced by Lamp::Joystick::hasXRotation(), and toString().

virtual bool Lamp::JoystickDevice::hasYAxis | ( |  | ) | const`[inline, virtual]`

| Y軸を持つか. Returns: Y軸を持てばtrue Definition at line 88 of file JoystickDevice.h. Referenced by Lamp::Joystick::hasYAxis(), and toString().

virtual bool Lamp::JoystickDevice::hasYRotation | ( |  | ) | const`[inline, virtual]`

| Y回転を持つか. Returns: Y回転を持てばtrue Definition at line 107 of file JoystickDevice.h. Referenced by Lamp::Joystick::hasYRotation(), and toString().

virtual bool Lamp::JoystickDevice::hasZAxis | ( |  | ) | const`[inline, virtual]`

| Z軸を持つか. Returns: Z軸を持てばtrue Definition at line 94 of file JoystickDevice.h. Referenced by Lamp::Joystick::hasZAxis(), and toString().

virtual bool Lamp::JoystickDevice::hasZRotation | ( |  | ) | const`[inline, virtual]`

| Z回転を持つか. Returns: Z回転を持てばtrue Definition at line 113 of file JoystickDevice.h. Referenced by Lamp::Joystick::hasZRotation(), and toString().

bool Lamp::JoystickDevice::initialize | ( | DirectInputDevice * | inputDevice,
|  | HWND | windowHandle
| ) | `[protected, virtual]`

  | 初期化 Parameters:
  inputDevice | 入力デバイス
  windowHandle | ウィンドウハンドル
Returns: 成功すればtrue Reimplemented from Lamp::InputDevice. Definition at line 42 of file JoystickDevice.cpp. References DirectXFailed, ErrorOut, Lamp::InputDevice::isExclusive(), Lamp::InputDevice::isForeground(), joystickObjectEnumeration(), and Lamp::InputDevice::setCooperativeLevel(). Referenced by Lamp::LampInput::joystickEnumeration().

int __stdcall Lamp::JoystickDevice::joystickObjectEnumeration | ( | const DIDEVICEOBJECTINSTANCE * | instance,
|  | void * | userData
| ) | `[static]`

  | ジョイスティックオブジェクトの列挙コールバック ユーザはこのメソッドを呼び出さないで下さい Parameters:
  instance | デバイスオブジェクトインスタンス
  userData | ユーザデータ
Returns: 列挙継続フラグ Definition at line 63 of file JoystickDevice.cpp. References checkJoystickObject(). Referenced by initialize().

bool Lamp::JoystickDevice::polling | ( |  | ) | `[protected, virtual]`

| ポーリング Returns: ポーリングが正常であればtrue Reimplemented from Lamp::InputDevice. Definition at line 131 of file JoystickDevice.cpp. References Lamp::InputDevice::acquire(), Lamp::JoystickState::clear(), DirectXSucceeded, ErrorOut, Lamp::InputDevice::inputDevice_, maxButtonCount, maxPOVCount, maxSliderCount, Lamp::JoystickState::setButtonPressed(), Lamp::JoystickState::setPOV(), Lamp::JoystickState::setSlider(), Lamp::JoystickState::setXAxis(), Lamp::JoystickState::setXRotation(), Lamp::JoystickState::setYAxis(), Lamp::JoystickState::setYRotation(), Lamp::JoystickState::setZAxis(), and Lamp::JoystickState::setZRotation().

String Lamp::JoystickDevice::toString | ( |  | ) | const`[virtual]`

| 文字列への変換 Returns: 文字列 Reimplemented from Lamp::InputDevice. Definition at line 171 of file JoystickDevice.cpp. References Lamp::String::format(), Lamp::InputDevice::getInputDeviceString(), getPOVCount(), getSliderCount(), hasXAxis(), hasXRotation(), hasYAxis(), hasYRotation(), hasZAxis(), hasZRotation(), and Lamp::JoystickState::toString().

The documentation for this class was generated from the following files:

- JoystickDevice.h
- JoystickDevice.cpp